commit cfddef4e6b505b02548d3e9e0bd9f4185292da77
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Oct 1 13:55:53 2021

    libstdc++: Add missing header to test
    
    We need to include <iterator> (or one of the containers) to get a
    definition for std::begin.
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/25_algorithms/is_permutation/2.cc: Include <iterator>.
    
    (cherry picked from commit 94311bf34704ebecf745043fe2df03df201052fe)

diff --git a/libstdc++-v3/testsuite/25_algorithms/is_permutation/2.cc b/libstdc++-v3/testsuite/25_algorithms/is_permutation/2.cc
index 8d15c22f593..252226ca08f 100644
--- a/libstdc++-v3/testsuite/25_algorithms/is_permutation/2.cc
+++ b/libstdc++-v3/testsuite/25_algorithms/is_permutation/2.cc
@@ -20,6 +20,7 @@
 // 25.2.12 [alg.is_permutation] Is permutation
 
 #include <algorithm>
+#include <iterator>
 #include <functional>
 #include <testsuite_hooks.h>
 

